Read Store
GET
Get store by ID only if user is owner or employee.
HTTPBearerheader
AuthorizationBearer <token>id*IdSuccessful Response
application/json- response
store_url*Store Urllanguage*Languagedefault_push_blueprint_id?integer|nullgenerated_image_output_format*Generated Image Output FormatValue in
"png""webp"generated_image_webp_quality*Generated Image Webp QualityRange
1 <= value <= 100id*Idname?string|nullowner_id*Owner Idowner*currency?string|nulldomain?string|nullcountry_code?string|nullimage_preview_url?string|nulldescription?string|nulltitle?string|nullhbs_template?string|nulljson_template?string|nulloauth_completed_at?|nulloauth_scopes?string|nullmissing_scopes*array<string>features*curl -X GET 'https://app.copyhero.app/api/v1/stores/0'Example Response
{ "store_url": "string", "language": "string", "default_push_blueprint_id": 0, "generated_image_output_format": "png", "generated_image_webp_quality": 1, "id": 0, "name": "string", "owner_id": 0, "owner": { "email": "string", "is_active": true, "is_superuser": false, "full_name": "string", "sub": "string", "provider": "auth0", "last_synced_at": "2019-08-24T14:15:22Z", "quota": 1000, "onboarding_completed_at": "2019-08-24T14:15:22Z", "locale": "en", "id": 0 }, "currency": "string", "domain": "string", "country_code": "string", "image_preview_url": "string", "description": "string", "title": "string", "hbs_template": "string", "json_template": "string", "oauth_completed_at": "2019-08-24T14:15:22Z", "oauth_scopes": "string", "missing_scopes": [ "string" ], "features": { "property1": true, "property2": true }}Get Store Publications GET
Fetch all publications (sales channels) from Shopify store. This is a proxy endpoint that forwards the request to Shopify and returns the publications directly to the frontend.
Read Stores GET
Retrieve Stores with comprehensive filtering. Supports: - Search: Search store name, domain, or URL (ILIKE) - Sorting: Sort by name or domain - Pagination: skip and limit parameters Examples: GET /stores?search_query=myshop GET /stores?sort_by=name&sort_order=asc GET /stores?search_query=shop&sort_by=name&sort_order=asc